| Home | Libraries | People | FAQ | More

## Struct template bucket_traits

boost::intrusive::bucket_traits

## Synopsis

    // In header: <boost/intrusive/options.hpp>

    template<typename BucketTraits>
    struct bucket_traits {
      // member classes/structs/unions

      // @ template<class Base>

      struct pack {
        // types
        typedef BucketTraits bucket_traits;
      };
    };

## Description

This option setter specifies the bucket traits class for unordered associative containers. When this option is specified, instead of using the default bucket traits, a user defined holder will be defined